Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## commonj.work
Class WorkRejectedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              commonj.work.WorkException
                  commonj.work.WorkRejectedException

All Implemented Interfaces:
  Serializable

    public class WorkRejectedException

extends WorkException

This is thrown then the Work cannot be started. This can happen security contexts are invalid when the Work is started or when using remote Work objects, the remote JVM hosting the WorkManager has failed.

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`WorkRejectedException()` Constructor for a WorkRejectedException
`WorkRejectedException(String message)` Constructor for a WorkRejectedException
`WorkRejectedException(String message, Throwable cause)` Constructor for a WorkRejectedException
`WorkRejectedException(Throwable cause)` Constructor for a WorkRejectedException

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorkRejectedException

    public WorkRejectedException()

  Constructor for a WorkRejectedException

  Since:
    1.0

### WorkRejectedException

    public WorkRejectedException(String message)

  Constructor for a WorkRejectedException

  Parameters:
    `message` -
  Since:
    1.0

### WorkRejectedException

    public WorkRejectedException(String message,
                                 Throwable cause)

  Constructor for a WorkRejectedException

  Parameters:
    `message` -
    `cause` -
  Since:
    1.0

### WorkRejectedException

    public WorkRejectedException(Throwable cause)

  Constructor for a WorkRejectedException

  Parameters:
    `cause` -
  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD